
From: Ingo Molnar <mingo@elte.hu>

Forward-declare the structures before using them, rather than relying on
previous inclusions.

akpm: The breakage was introduced by bk-driver-core.patch

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/module.h |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff -puN include/linux/module.h~module-h-build-fix include/linux/module.h
--- 25/include/linux/module.h~module-h-build-fix	Thu Sep 23 15:16:40 2004
+++ 25-akpm/include/linux/module.h	Thu Sep 23 15:16:40 2004
@@ -540,11 +540,14 @@ static inline void print_modules(void)
 {
 }
 
-static inline void module_add_driver(struct module *, struct device_driver *)
+struct device_driver;
+struct module;
+
+static inline void module_add_driver(struct module *module, struct device_driver *driver)
 {
 }
 
-static inline void module_remove_driver(struct device_driver *)
+static inline void module_remove_driver(struct device_driver *driver)
 {
 }
 
_
